Subject: bug#67610: Build guile-hoot.powerpc64le-linux on master is broken.

From: "Thompson, David" <[email-masked]>
Date: Sun, 3 Dec 2023 15:11:20 -0500

On Sun, Dec 3, 2023 at 1:35 PM Maxim Cournoyer
<[email-masked]> wrote:
>
> Hello,
>
> [email-masked] (Cuirass) writes:
>
> > <p>The build <b>guile-hoot.powerpc64le-linux</b> for specification <b>master</b> is
> > broken. You can find the detailed information about this build <a
> > href="https://ci.guix.gnu.org/build/2735982/details">here</a>.</p>
> >
> > https://ci.guix.gnu.org/build/2735982/details
>
> The latest guile-hoot newly fails on powerpc64le:
>
> --8<---------------cut here---------------start------------->8---
> make  check-TESTS
> make[2]: Entering directory '/tmp/guix-build-guile-hoot-0.1.0.drv-0/guile-hoot-0.1.0'
> make[3]: Entering directory '/tmp/guix-build-guile-hoot-0.1.0.drv-0/guile-hoot-0.1.0'
> PASS: examples/basic-types.js
> FAIL: test/test-atomics.scm
> FAIL: test/test-assignment.scm
> FAIL: test/test-fluids.scm
> FAIL: test/test-exceptions.scm
> FAIL: test/test-bitwise.scm
> PASS: test/test-lower.scm
> PASS: test/test-lower-globals.scm
> PASS: test/test-lower-stringrefs.scm
> FAIL: test/test-number-to-string.scm
> FAIL: test/test-constants.scm
> FAIL: test/test-fractions.scm
> FAIL: test/test-pairs.scm
> FAIL: test/test-bytevectors.scm
> FAIL: test/test-prompts.scm
> FAIL: test/test-ports.scm
> FAIL: test/test-strings.scm
> PASS: test/test-vm.scm
> PASS: test/test-wasm-assembler.scm
> PASS: test/test-disassemble.scm
> FAIL: test/test-vectors.scm
> FAIL: test/test-procedures.scm
> FAIL: test/test-flonums.scm
> FAIL: test/test-write.scm
> FAIL: test/test-ints.scm
> PASS: test/test-numeric.scm
> ============================================================================
> Testsuite summary for guile-hoot 0.1.0
> ============================================================================
> # TOTAL: 26
> # PASS:  8
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  18
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See ./test-suite.log
> ============================================================================
> make[3]: *** [Makefile:973: test-suite.log] Error 1
> make[3]: Leaving directory '/tmp/guix-build-guile-hoot-0.1.0.drv-0/guile-hoot-0.1.0'
> make[2]: *** [Makefile:1081: check-TESTS] Error 2
> make[2]: Leaving directory '/tmp/guix-build-guile-hoot-0.1.0.drv-0/guile-hoot-0.1.0'
> make[1]: *** [Makefile:1313: check-am] Error 2
> make[1]: Leaving directory '/tmp/guix-build-guile-hoot-0.1.0.drv-0/guile-hoot-0.1.0'
> make: *** [Makefile:858: check-recursive] Error 1
>
> Test suite failed, dumping logs.
>
> --- ./test-suite.log --------------------------------------------------------
> --8<---------------cut here---------------end--------------->8---

Hmm I'd need the contents of the failing test logs to have an idea
about what's happening. All I can tell from what's there is that any
test file that invokes the compiler fails. I don't have any powerpc
hardware so I can't reproduce myself.

- Dave